[package]
name = "test_contract"
version = "0.1.0"
edition = "2021"
license = "MIT"

[lib]
crate-type = ['cdylib']

[dependencies]
pbc_contract_common = { git = "amazing_git_url.git", tag = "9.1.2" }
pbc_contract_codegen = { git = "amazing_git_url.git", tag = "9.1.2" }
pbc_traits = { git = "amazing_git_url.git", tag = "9.1.2" }
pbc_lib = { git = "amazing_git_url.git", tag = "9.1.2" }
read_write_rpc_derive = { git = "amazing_git_url.git", tag = "9.1.2" }
read_write_state_derive = { git = "amazing_git_url.git", tag = "9.1.2" }
create_type_spec_derive = { git = "amazing_git_url.git", tag = "9.1.2" }

serde_json = "1.0"

[features]
abi = ["pbc_contract_common/abi", "pbc_contract_codegen/abi", "pbc_traits/abi", "create_type_spec_derive/abi", "pbc_lib/abi"]